Subject: Re: linux-next: build failure after merge of the final tree (v4l-dvb tree related)

From: Mauro Carvalho Chehab <[email-masked]>
Date: Mon, 8 Jul 2013 09:58:19 -0300 (BRT)

On Mon, 8 Jul 2013, Stephen Rothwell wrote:

> Hi all,
>
> After merging the final tree, today's linux-next build
> (powerpc_ppc44x_defconfig) failed like this:
>
> arch/powerpc/boot/wrapper: line 314: .../scripts/mkuboot.sh: Permission denied
>
> Caused by commit cda2bf15f6dc ("Update email to [email-masked]")
> from the v4l-dvb tree.

Sorry. That was due to a bad merge at my -next tree, where I had there 
both the correct and the wrong patches merged. The correct changeset
is this one:
 	http://git.linuxtv.org/mchehab/media-next.git/commit/de58f1a28541fef62f20465dcd1bbcf25b4685c5

It is fixed there already.

> I have reverted that commit for today.
>
> Linus, please don't merge the v4l-dvb tree like it is.

I'll wait for tomorrow's next to see if everything is ok, before sending a 
new pull request.

> Mauro, in the case of copyright notices, you should just remove your
> email address, not bother changing it.

Hmm... then I'll need to re-do the patch, manually reviewing each hunk, 
instead of replacing via a script, as, on some places, like MAINTAINERS, 
we need to preserve the email.

Let me simplify it: I'll drop that patch, replacing by one that will
just change MAINTAINERS. I'll later submit the remaining changes on
a separate patch for the next merge window.

Regards,
Mauro